Subject: Re: [PATCH v2 1/2] net: macb: Clean up macb_validate

From: "Russell King (Oracle)" <[email-masked]>
Date: Tue, 19 Oct 2021 16:02:18 +0100

On Fri, Oct 15, 2021 at 11:47:30PM +0100, Russell King (Oracle) wrote:
> I have been working on it but haven't finished the patches yet. There's
> a few issues that came up with e.g. DSA and mvneta being able to switch
> between different speeds with some SFP modules that have needed other
> tweaks.

Okay, have a look at:

http://git.armlinux.org.uk/cgit/linux-arm.git/log/?h=net-queue

and the patches from "net: enetc: remove interface checks in
enetc_pl_mac_validate ()" down to the "net-merged" branch label.

That set of patches add the supported_interfaces bitmap, uses it for
validation purposes, converts all but one of the ethernet drivers
over to using it, and then simplifies the validate() implementations.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!